%global momorel 1
Name:           gnome-maps
Version: 3.24.2
Release:	%{momorel}m%{?dist}
Summary:        Map application for GNOME
Group:		User Interface/Desktops

License:        GPLv2+
URL:            http://wiki.gnome.org/Maps
Source0: http://download.gnome.org/sources/gnome-maps/3.24/gnome-maps-%{version}.tar.xz
NoSource: 0

BuildRequires:  gjs-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  libchamplain-devel >= 0.12.15

Requires:       clutter
Requires:       clutter-gtk
Requires:       cogl
Requires:       dbus
Requires:       gdk-pixbuf2
Requires:       geoclue2
Requires:       geocode-glib
Requires:       gjs
Requires:       gobject-introspection
Requires:       gtk3
Requires:       libchamplain
Requires:       libchamplain-gtk

%define emerillon_version 0.1.90-15
Obsoletes: emerillon < %{emerillon_version}
Obsoletes: emerillon-devel < %{emerillon_version}
Obsoletes: emerillon-vala < %{emerillon_version}

%description
GNOME Maps is a simple map application for the GNOME desktop.

%prep
%setup -q

%build
%configure
%make 


%install
rm -rf %{buildroot}

%make_install
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Maps.desktop

find %{buildroot} -name *.la -exec rm -f {} \;

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast >&/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
    touch --no-create %{_datadir}/icons/HighContrast >&/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/HighContrast >&/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast >&/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%dir %{_libdir}/gnome-maps/
%{_libdir}/gnome-maps/girepository-1.0/GnomeMaps-1.0.typelib
%{_libdir}/gnome-maps/libgnome-maps.so*
%{_datadir}/appdata/org.gnome.Maps.appdata.xml
%{_datadir}/applications/org.gnome.Maps.desktop
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_datadir}/glib-2.0/schemas/org.gnome.Maps.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/org.gnome.Maps.png
%{_datadir}/icons/hicolor/*/apps/org.gnome.Maps-symbolic.svg
%{_datadir}/gir-1.0/GnomeMaps-1.0.gir

%changelog
* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.2-1m)
- update to 3.24.2

* Sun Mar 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.92-1m)
- update to 3.23.92

* Sat Mar 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.91-1m)
- update to 3.23.91

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1.2-1m)
- update to 3.14.1.2

* Sun Oct 12 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Sun Oct 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-1m)
- import from fedora

